/*
Copyright 2016 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

#ifndef HH_ROOT_DOUBLE_H
#define HH_ROOT_DOUBLE_H

#include <libinum.h>
#include "double_util.h"

typedef struct hh_args_integration_double{
  hh_params_double params;
  array_ldouble abcissa;
  array_ldouble weights;
} hh_args_integration_double;

// wrapper for the integration function, used for the Newton scheme
int hh_integration_wrapper_double(long double* out, long double in, void* args);

// wrapper for the derivative of the integration function, used for the Newton scheme
int hh_d_integration_wrapper_double(long double* out, long double in, void* args);

#endif
